#!/bin/bash

# Prikaz pro stazeni baliku
# wget -O build.zip "https://gitlab.cesnet.cz/api/v4/projects/587/jobs/artifacts/master/download?job=build:bookworm"
# unzip -j build.zip -d /storage/software/repository/packages/bookworm/main/
# rm build.zip

set -x

# Nacteni promennych o bezicim systemu vcetne verzi
. /etc/os-release

# Od Debian 11 Bullseye ma debian-security trochu jinou cestu, abychom mohli pouzit heredoc, rozskocime si pres funkci
function get_debian_security() {
    if [ "${VERSION_ID}" -lt "11" ]; then echo "${VERSION_CODENAME}/updates"; else echo "${VERSION_CODENAME}-security"; fi
}

function get_debian_repo() {
    if [ "${VERSION_ID}" -lt "10" ]; then echo "http://archive.debian.org/debian"; else echo "http://ftp.zcu.cz/pub/linux/debian"; fi
}

# Vygenerovani sources.list podle verze Debianu
cat > /etc/apt/sources.list << EOSOURCES
deb $(get_debian_repo) ${VERSION_CODENAME} main contrib non-free
deb $(get_debian_repo) ${VERSION_CODENAME}-updates main contrib non-free
deb $(get_debian_repo)-security $(get_debian_security) main contrib non-free

deb-src $(get_debian_repo) ${VERSION_CODENAME} main contrib non-free
deb-src $(get_debian_repo) ${VERSION_CODENAME}-updates main contrib non-free
deb-src $(get_debian_repo)-security $(get_debian_security) main contrib non-free
EOSOURCES

apt update -qqq
apt install git devscripts build-essential apache2-dev -yqqq

git clone https://github.com/CESNET/mod_ssl_preauth
cd mod_ssl_preauth

sed "1 s/)/+deb${VERSION_ID})/" debian/changelog -i

dpkg-buildpackage -uc -us -b

cd ..
mkdir build
mv *.deb build/
